@font-face {
    font-family: 'Hacen Maghreb';
    src: url(../fonts/Hacen-Maghreb.ttf);
}

@font-face {
    font-family: 'Khalid Art Bold';
    src: url(../fonts/Khalid-Art-bold.ttf);
}

:root {
    --mainColor: #02a49d;
    --secondaryColor: #2b74b9;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: 'Hacen Maghreb';
}

body {
    margin: 0;
    overflow: hidden;
}

img {
    max-width: 100%;
    max-height: 100%;
    margin-inline: auto;
}

p {
    font-size: 38px;
}

[class*="_button"] {
    background: linear-gradient(to right, var(--mainColor), var(--secondaryColor));
    border: 2px solid #fff;
    border-radius: 50px;
    font-size: 96px;
    padding-inline: 50px;
    color: #fff;
}

.start_button {
    width: 80%;
    border-radius: 0;
    transform: translateY(-50%);
}

h3 {
    font-size: 96px;
    font-weight: 400;
    color: #fff;
}

.logo_wrapper {
    width: 50%;
    padding-block: 30px;
}

.footer_wrapper {
    padding: 15px;
    background-color: #fff;
    border-radius: 20px;
    margin-top: 80px;
}


/* First slide */

.main_wrapper {
    height: 100svh;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    text-align: center;
    overflow-x: scroll;
    gap: 15px;
    background: url(../images/design/main-bg.png) top center / contain;
}

.main_wrapper .content_wrapper {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    text-align: center;
}

.main_wrapper .child_wrapper {
    width: 70%;
}

.main_wrapper .box_wrapper {
    width: 100%;
    background: linear-gradient(to right, var(--mainColor), var(--secondaryColor));
    padding: 0 20px 20px;
    color: #fff;
}


/* Second slide */

.inner_wrapper {
    overflow-x: scroll;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    background: url(../images/design/main-bg.png) top / cover, url(../images/design/secondary-bg.jpg) center /cover;
}

.inner_wrapper .content_wrapper {
    width: 80%;
    text-align: center;
}

.inner_wrapper .types_wrapper .main_title {
    font-size: 76px;
}

.inner_wrapper .types {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    justify-content: center;
    gap: 10px;
    margin-top: 15px;
}

.inner_wrapper .types [class*="_button"] {
    font-size: 64px;
}


/* Type slides */

.donation_form_wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 50px;
    margin-top: 50px;
}

#back_button {
    font-size: 42px;
    color: #fff;
    background: none;
    border: none;
    margin-inline-end: auto;
    padding: 0;
}

#back_button span {
    font-size: 80px;
    font-weight: bold;
}

.donation_type {
    display: flex;
    flex-direction: column;
    gap: 50px;
}

.donation_title {
    background: linear-gradient(to right, var(--mainColor), var(--secondaryColor));
    border: 2px solid #fff;
    border-radius: 100px;
    font-size: 64px;
    color: #fff;
}

.description_box {
    background-color: rgba(3, 164, 157, 0.28);
    border: 1px solid rgba(42, 117, 184, 0.28);
    padding: 30px;
    color: #fff;
}

.description_box p {
    font-family: 'Khalid Art Bold';
}

form {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 50px;
}

.input_wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 30px;
    font-size: 56px;
}

.input_wrapper input {
    background-color: #fff;
    border: 1px solid var(--mainColor);
    text-align: center;
    font-size: 76px;
    width: 60%;
}

.input_wrapper #plus_button,
.input_wrapper #minus_button {
    font-size: 180px;
    line-height: 0.5;
    color: #fff;
}

.fixed_values {
    display: flex;
    align-items: stretch;
    justify-content: center;
    gap: 30px;
}

.fixed_values .fixed_value_button {
    font-size: 42px;
}

.submit_button {
    font-size: 56px;
    padding-inline: 100px;
    border-radius: 30px;
}


/* Status */

.status_wrapper {
    position: absolute;
    top: 0;
    left: 0;
    height: 100svh;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: 15px;
    background: url(../images/design/main-bg.png) top center / contain;
    background-color: #fff;
}

[class*="_status"] h3 {
    color: var(--secondaryColor);
}

.status_wrapper .box_wrapper {
    width: 100%;
    margin-block-start: auto;
    background: linear-gradient(to right, var(--mainColor), var(--secondaryColor));
    padding: 0 20px 20px;
    color: #fff;
}

.status_wrapper .child_wrapper {
    margin-top: -300px;
}

.status_wrapper .footer_wrapper {
    margin: 0;
}